## ros-melodic-pr2-robot 1.6.31

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-pr2-robot (1.6.31-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 13 Apr 2020 15:00:00 -0000

ros-melodic-pr2-robot (1.6.30-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.29-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.28-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.27-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 19 Apr 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.26-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.25-1bionic) bionic; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-melodic-pr2-robot (1.6.7-1bionic) bionic; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-robot
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/pr2_robot
Standards-Version: 3.9.2

Package: ros-melodic-pr2-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-imu-monitor, ros-melodic-pr2-bringup, ros-melodic-pr2-camera-synchronizer, ros-melodic-pr2-computer-monitor, ros-melodic-pr2-controller-configuration, ros-melodic-pr2-ethercat, ros-melodic-pr2-run-stop-auto-restart
Description: This stack collects PR2-specific components that are used in bringing up a robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-robot//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
